This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1263438 - backport libvirt sanity checks
backport libvirt sanity checks
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 15:12 EDT by Markus Stockhausen
Modified: 2015-10-09 06:28 EDT (History)
10 users (show)

See Also:
Fixed In Version: libvirt-1.2.13.1-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-09 06:28:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Stockhausen 2015-09-15 15:12:48 EDT
We just hit the error described in BZ1199036 on FC21. 

There are a lot of patches targeting block commit functionality for older libvirt releases. Nevertheless the 3 fixes described in the above BZ entry would allow for some fundamental sanity check.

It would be nice to see them backported for libvirt in FC21/FC22:

1) qemu: Disallow concurrent block jobs on a single disk
2) qemu: event: Don't fiddle with disk backing trees without a job
3) qemu: block-commit: Mark disk in block jobs only on successful command
Comment 1 Cole Robinson 2015-09-21 21:20:56 EDT
The patches don't apply cleanly to F21, and since they don't sound essential I'm not going to rock the boat there, figuring that F21 will be end of life before the end of the year. So I'll just backport them to f22
Comment 2 Markus Stockhausen 2015-09-22 02:44:05 EDT
Just saw that your FC22 build failed. I did not expect this helpful backport to be so tricky. Sorry for not checking the situation correctly in advance.

Nevertheless: Thanks a lot for your help in this matter.
Comment 3 Cole Robinson 2015-09-22 08:16:10 EDT
f22 build failed for some unrelated reason AFAICT, I'm looking into it
Comment 4 Fedora Update System 2015-09-23 17:23:04 EDT
libvirt-1.2.13.1-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libvirt'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16421
Comment 5 Fedora Update System 2015-10-09 06:28:23 EDT
libvirt-1.2.13.1-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.